//<<<<<< INCLUDES                                                       >>>>>>

#include "Utilities/Configuration/interface/Architecture.h"

#include "Visualisation/CustomTracker/interface/CuTkSlWindow.h"


//<<<<<< PRIVATE DEFINES                                                >>>>>>
//<<<<<< PRIVATE CONSTANTS                                              >>>>>>
//<<<<<< PRIVATE TYPES                                                  >>>>>>
//<<<<<< PRIVATE VARIABLE DEFINITIONS                                   >>>>>>
//<<<<<< PUBLIC VARIABLE DEFINITIONS                                    >>>>>>
//<<<<<< CLASS STRUCTURE INITIALIZATION                                 >>>>>>
//<<<<<< PRIVATE FUNCTION DEFINITIONS                                   >>>>>>
//<<<<<< PUBLIC FUNCTION DEFINITIONS                                    >>>>>>
//<<<<<< MEMBER FUNCTION DEFINITIONS                                    >>>>>>

/** Window Tracker Selection. */
CuTkSlWindow::CuTkSlWindow (QWidget *parent=0, const char *name=0)
	: QWidget(parent, name)
{

	//window size
	setMinimumSize( 400, 250);
	setMaximumSize( 400, 250);
	
	grid = new QGridLayout(this,4,1);

        button1 = new QPushButton("All Tracker part Selection", this, "Selection");
        button2 = new QPushButton("Clear", this, "clear");
	label1 = new QLabel("Hello world!", this);
        label2 = new QLabel("This is a window with 2 button and 2 label", this);
	
	grid->addWidget(button1,2,1);
        grid->addWidget(label1,1,1);
	grid->addWidget(button2,3,1);
	grid->addWidget(label2,4,1);

	
}



